module.exports = {
  // 添加栏目
  "create": {
    "parameters": {
      "query": ["!site"],
    },
    "requestBody": ["title", "type", "parent_id", "news_type", "parent", "is_use", "url", "content_id","parent_type"],
  },
  // 修改栏目
  "update": {
    "parameters": {
      "params": ["!id"],
    },
    "requestBody": ["title", "type", "parent_id", "news_type", "parent", "is_use", "url", "content_id", "parent_type"],
    // "options": {
    //   "projection": "+name",
    // },
  },
  // 获取栏目详情
  "fetch": {
    "parameters": {
      "params": ["!id"],
    },
    // "options": {
    //   "projection": "+content",
    // },
  },
  // 删除栏目
  "delete": {
    "parameters": {
      "params": ["!id"],
    },
  },
  // 恢复栏目
  "restore": {
    "parameters": {
      "params": ["!id"],
    },
  },
  // 后台查询栏目列表
  "query": {
    "parameters": {
      "query": ["!site", "parent_id"],
      "options": {
        "meta.state": 0, // 只显示未删除数据
      },
    },
    "service": "query",
    "options": {
      "query": ["skip", "limit"],
      "sort": ["meta.createdAt"],
      "desc": true,
      "count": true,
      "projection": {
        "attachment": 0
      }
    }
  },
  // 前台加载栏目列表
  "list": {
    "parameters": {
      "query": ["!site", "parent_id", "is_use","parent_type"],
      "options": {
        "meta.state": 0, // 只显示未删除数据
      },
    },
    "service": "query",
    "options": {
      "query": ["skip", "limit"],
      "sort": ["meta.createdAt"],
      "desc": true,
      "count": true,
      "projection": {
        "attachment": 0
      }
    }
  },
};
