module.exports = {
  // 添加图片
  "create": {
    "parameters": {
      "query": ["!site"],
    },
    "requestBody": ["title", "type", "pic", "url", "is_use"],
  },
  // 修改图片
  "update": {
    "parameters": {
      "params": ["!id"],
    },
    "requestBody": ["title", "type", "pic", "url", "is_use"],
    // "options": {
    //   "projection": "+name",
    // },
  },
  // 获取图片详情
  "fetch": {
    "parameters": {
      "params": ["!id"],
    },
    // "options": {
    //   "projection": "+content",
    // },
  },
  // 删除图片
  "delete": {
    "parameters": {
      "params": ["!id"],
    },
  },
  // 恢复图片
  "restore": {
    "parameters": {
      "params": ["!id"],
    },
  },
  // 后台查询图片列表
  "query": {
    "parameters": {
      "query": ["!site", "type","is_use"],
      "options": {
        "meta.state": 0, // 只显示未删除数据
      },
    },
    "service": "query",
    "options": {
      "query": ["skip", "limit"],
      "sort": ["meta.createdAt"],
      "desc": true,
      "count": true,
      "projection": {
        "attachment": 0
      }
    }
  },
  // 前台加载图片列表
  "list": {
    "parameters": {
      "query": ["!site", "type", "is_use"],
      "options": {
        "meta.state": 0, // 只显示未删除数据
      },
    },
    "service": "query",
    "options": {
      "query": ["skip", "limit"],
      "sort": ["meta.createdAt"],
      "desc": true,
      "count": true,
      "projection": {
        "attachment": 0
      }
    }
  },
};
