module.exports = {
  // 添加菜单
  "create": {
    "parameters": {
      "query": ["!site"],
    },
    "requestBody": ["title", "type", "is_use", "url","content_id"],
  },
  // 修改菜单
  "update": {
    "parameters": {
      "params": ["!id"],
    },
    "requestBody": ["title", "type", "is_use", "url", "content_id"],
    // "options": {
    //   "projection": "+name",
    // },
  },
  // 获取菜单详情
  "fetch": {
    "parameters": {
      "params": ["!id"],
    },
    // "options": {
    //   "projection": "+content",
    // },
  },
  // 删除菜单
  "delete": {
    "parameters": {
      "params": ["!id"],
    },
  },
  // 恢复菜单
  "restore": {
    "parameters": {
      "params": ["!id"],
    },
  },
  // 后台查询菜单列表
  "query": {
    "parameters": {
      "query": ["!site"],
      "options": {
        "meta.state": 0, // 只显示未删除数据
        // "sort": ["position"],
        // "desc": true,
      },
    },
    "service": "query",
    "options": {
      "query": ["skip", "limit"],
      "sort": ["position","meta.createdAt"],
      "desc": false,
      "count": true,
      "projection": {
        "attachment": 0
      }
    }
  },
  // 前台加载菜单列表
  "list": {
    "parameters": {
      "query": ["!site", "is_use"],
      "options": {
        "meta.state": 0, // 只显示未删除数据
      },
    },
    "service": "query",
    "options": {
      "query": ["skip", "limit"],
      "sort": ["position","meta.createdAt"],
      "desc": false,
      "count": true,
      "projection": {
        "attachment": 0
      }
    }
  },
};
