module.exports = {
  // 添加模块
  "create": {
    "parameters": {
      "query": ["!site"],
    },
    "requestBody": ["title", "type", "is_use","category"],
  },
  // 修改模块
  "update": {
    "parameters": {
      "params": ["!id"],
    },
    "requestBody": ["title", "type", "is_use", "category"],
    // "options": {
    //   "projection": "+name",
    // },
  },
  // 获取模块详情
  "fetch": {
    "parameters": {
      "params": ["!id"],
    },
    // "options": {
    //   "projection": "+content",
    // },
  },
  // 删除模块
  "delete": {
    "parameters": {
      "params": ["!id"],
    },
  },
  // 恢复模块
  "restore": {
    "parameters": {
      "params": ["!id"],
    },
  },
  // 后台查询模块列表
  "query": {
    "parameters": {
      "query": ["!site", "is_use"],
      "options": {
        "meta.state": 0, // 只显示未删除数据
      },
    },
    "service": "query",
    "options": {
      "query": ["skip", "limit"],
      "sort": ["meta.createdAt"],
      "desc": true,
      "count": true,
      "projection": {
        "attachment": 0
      }
    }
  },
  // 前台加载模块列表
  "list": {
    "parameters": {
      "query": ["!site"],
      "options": {
        "meta.state": 0, // 只显示未删除数据
      },
    },
    "service": "query",
    "options": {
      "query": ["skip", "limit"],
      "sort": ["meta.createdAt"],
      "desc": true,
      "count": true,
      "projection": {
        "attachment": 0
      }
    }
  },
};
