module.exports = {
  // 起草新闻
  "create": {
    "parameters": {
      "query": ["!site"],
    },
    "requestBody": ["title", "pic", "content", "type", "parent_id", "parent","publish_time", "attachment", "is_use"],
  },
  // 修改新闻信息
  "update": {
    "parameters": {
      "params": ["!id"],
    },
    "requestBody": ["title", "pic", "content", "type", "parent_id", "parent", "publish_time","attachment", "is_use"],
    "options": {
      "projection": "+content",
    },
  },
  // 获取新闻详情
  "fetch": {
    "parameters": {
      "params": ["!id"],
    },
    "options": {
      "projection": "+content",
    },
  },
  // 删除新闻
  "delete": {
    "parameters": {
      "params": ["!id"],
    },
  },
  // 恢复新闻
  "restore": {
    "parameters": {
      "params": ["!id"],
    },
  },
  // 后台查询新闻列表
  "query": {
    "parameters": {
      "query": ["site","parent_id"],
      "options": {
        "meta.state": 0, // 只显示未删除数据
      },
    },
    "service": "query",
    "options": {
      "query": ["skip", "limit"],
      "sort": ["meta.createdAt"],
      "desc": true,
      "count": true,
      "projection": {
        "attachment": 0
      }
    }
  },
  // 前台加载新闻列表
  "list": {
    "parameters": {
      "query": ["parent_id", "site", "is_use"],
      "options": {
        "meta.state": 0, // 只显示未删除数据
      },
    },
    "service": "query",
    "options": {
      "query": ["skip", "limit"],
      "sort": ["top", "meta.createdAt"],
      "desc": true,
      "count": true,
      "projection": {
        "attachment": 0
      }
    }
  },
};
