module.exports = {
  // 添加分站信息
  "create": {
    "parameters": {
      "requestBody": ["!name", "!site", "!domain", "banner", "logo","!copyright", "theme", "remark", "!content"],
    },
  },
  // 修改分站信息
  "update": {
    "parameters": {
      "params": ["!site"],
    },
    "requestBody": ["name", "domain", "banner", "logo","copyright", "theme", "remark","content"],
    "options": {
      "projection": "+content",
    },
  },
  // 获取分站详情
  "fetch": {
    "parameters": {
      "params": ["!site"],
    },
    "options": {
      "projection": "+content",
    },
  },
  // 删除分站信息
  "delete": {
    "parameters": {
      "params": ["!site"],
    },
  },
  // 【管理端】查询分站列表
  "query": {
    "parameters": {
      "options": {
        "site": { "$ne": "master" },
      },
    },
    "options": {
      "query": ["skip", "limit"],
      "sort": ["meta.createdAt"],
      "desc": true,
      "count": true,
      "projection": {
        "copyright": 0
      }
    }
  },
  // 【网站端】分站地址列表
  "list": {
    "parameters": {
      "options": {
        "site": { "$ne": "master" },
      },
    },
    "service": "query",
    "options": {
      "projection": {
        "name": 1,
        "site": 1,
        "domain": 1,
      }
    }
  },
};
