/**
 * 图片信息
 */
'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');

// 图片信息
const SchemaDefine = {
  site: { type: String, required: true, maxLength: 64 }, // 归属站点
  title: { type: String, required: false, maxLength: 100 }, // 图片名称
  type: { type: String, required: false, maxLength: 5 }, // 图片类型
  pic: { type: String, required: false, maxLength: 200 }, // 图片地址
  url: { type: String, required: false, maxLength: 200 }, // 链接
  is_use: { type: String, required: false, maxLength: 5 }, // 是否使用,0=>使用中;1=>已禁止
  meta: {
    createdBy: String, // 创建用户
    updatedBy: String, // 修改用户
  },
  // remark: { type: String, maxLength: 500 }, // 备注
};
const schema = new Schema(SchemaDefine, { 'multi-tenancy': true, toJSON: { virtuals: true } });
schema.plugin(metaPlugin);
schema.index({ site: 1 });
schema.index({ 'meta.state': 1 });
schema.index({ 'meta.createdAt': -1 });
schema.index({ 'meta.createdAt': -1, top: -1, 'meta.state': 1 });
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('ImgInfo', schema, 'cms_img');
};
